# Mastodon

Your self-hosted, globally interconnected microblogging community

<!-- metadata -->
* **Category**:
* **Status**: 
* **Image**: [`tootsuite/mastodon`](https://hub.docker.com/r/tootsuite/mastodon)
* **Healthcheck**: 
* **Backups**: 
* **Email**: 
* **Tests**: 
* **SSO**: 
<!-- endmetadata -->

## Basic usage

1. Set up Docker Swarm and [`abra`]
2. Deploy [`coop-cloud/traefik`]
3. `abra app new mastodon`
4. `abra app YOURAPPDOMAIN config` - be sure to change `DOMAIN` to something that resolves to
   your Docker swarm box. Install the npm package webpush to create VAPID keys `npm install web-push -g && web-push generate-vapid-keys`. 
5. `abra app YOURAPPDOMAIN deploy --no-domain-poll`. App will fail for now.
6. `abra app mastodon run streaming rake db:setup`
7. Open the configured domain in your browser to finish set-up. To make an admin account `abra app mastodon run web "bin/tootctl accounts create coolusername --email helo@autonomic.zone --confirmed --role admin"`

[`abra`]: https://git.autonomic.zone/autonomic-cooperative/abra
[`coop-cloud/traefik`]: https://git.autonomic.zone/coop-cloud/traefik
